summaryrefslogtreecommitdiff
path: root/dev-python/bibtexparser/bibtexparser-2.0.0.ebuild
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/bibtexparser/bibtexparser-2.0.0.ebuild')
-rw-r--r--dev-python/bibtexparser/bibtexparser-2.0.0.ebuild26
1 files changed, 26 insertions, 0 deletions
diff --git a/dev-python/bibtexparser/bibtexparser-2.0.0.ebuild b/dev-python/bibtexparser/bibtexparser-2.0.0.ebuild
new file mode 100644
index 000000000000..9fd150062431
--- /dev/null
+++ b/dev-python/bibtexparser/bibtexparser-2.0.0.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A BibTeX parser written in Python"
+HOMEPAGE="
+ https://github.com/sciunto-org/python-bibtexparser/
+ https://pypi.org/project/bibtexparser/
+"
+
+LICENSE="|| ( BSD LGPL-3 )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/pylatexenc-2.10[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest